Bug 884697 - [abrt] libreoffice-core-3.5.7.2-6.fc17: rtl_uString_acquire: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.7.2-6.fc17: rtl_uString_acquire: Process /usr/lib...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stahl
Fedora Extras Quality Assurance
abrt_hash:263b94990ecdb785ad801eed8e9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 10:19 EST by inactive
Modified: 2013-08-01 01:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:22:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.84 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: environ (1.78 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: backtrace (45.30 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: cgroup (125 bytes, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: smolt_data (3.20 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: executable (42 bytes, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: maps (109.15 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: dso_list (27.35 KB, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: var_log_messages (335 bytes, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details
File: open_fds (372 bytes, text/plain)
2012-12-06 10:19 EST, inactive
no flags Details

  None (edit)
Description inactive 2012-12-06 10:19:25 EST
Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: rtl_uString_acquire
kernel:         3.6.8-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 rtl_uString_acquire at /usr/src/debug/libreoffice-3.5.7.2/sal/rtl/source/strtmpl.cxx:1034
: #1 String::Assign at /usr/src/debug/libreoffice-3.5.7.2/tools/source/string/strimp.cxx:343
: #2 operator= at /usr/src/debug/libreoffice-3.5.7.2/solver/unxlngx6.pro/inc/tools/string.hxx:430
: #3 SwUndoFmtCreate::UndoImpl at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/undo/SwUndoFmt.cxx:63
: #4 SwUndo::UndoWithContext at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/undo/undobj.cxx:253
: #5 SfxUndoManager::ImplUndo at /usr/src/debug/libreoffice-3.5.7.2/svl/source/undo/undo.cxx:807
: #6 sw::UndoManager::impl_DoUndoRedo at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/undo/docundo.cxx:490
: #7 SwEditShell::Undo at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/edit/edundo.cxx:136
: #8 SwWrtShell::Do at /usr/src/debug/libreoffice-3.5.7.2/sw/source/ui/wrtsh/wrtundo.cxx:63
: #9 SwBaseShell::ExecUndo at /usr/src/debug/libreoffice-3.5.7.2/sw/source/ui/shells/basesh.cxx:493
Comment 1 inactive 2012-12-06 10:19:30 EST
Created attachment 658799 [details]
File: core_backtrace
Comment 2 inactive 2012-12-06 10:19:33 EST
Created attachment 658800 [details]
File: environ
Comment 3 inactive 2012-12-06 10:19:36 EST
Created attachment 658801 [details]
File: backtrace
Comment 4 inactive 2012-12-06 10:19:38 EST
Created attachment 658802 [details]
File: limits
Comment 5 inactive 2012-12-06 10:19:40 EST
Created attachment 658803 [details]
File: cgroup
Comment 6 inactive 2012-12-06 10:19:43 EST
Created attachment 658804 [details]
File: smolt_data
Comment 7 inactive 2012-12-06 10:19:45 EST
Created attachment 658805 [details]
File: executable
Comment 8 inactive 2012-12-06 10:19:49 EST
Created attachment 658806 [details]
File: maps
Comment 9 inactive 2012-12-06 10:19:52 EST
Created attachment 658807 [details]
File: dso_list
Comment 10 inactive 2012-12-06 10:19:54 EST
Created attachment 658808 [details]
File: proc_pid_status
Comment 11 inactive 2012-12-06 10:19:56 EST
Created attachment 658809 [details]
File: var_log_messages
Comment 12 inactive 2012-12-06 10:19:58 EST
Created attachment 658810 [details]
File: open_fds
Comment 13 Caolan McNamara 2012-12-19 15:17:09 EST
caolanm->mstahl: I wonder if this is a duplicate of that undo bug you fixed ?
Comment 14 Fedora End Of Life 2013-07-03 21:11:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 01:22:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.